Subject: [alpine-devel] extra/netcat: new aport

From: Francesco <[email-masked]>
Date: Fri, 12 Jun 2009 10:05:22 +0200

This is the right aport.
Plese review.

:: Francesco Colista ::
From b1b19864cad286c73b439cfb8ca3615768d71e15 Mon Sep 17 00:00:00 2001
From: Francesco Colista <[email-masked]>
Date: Fri, 12 Jun 2009 08:05:08 +0000
Subject: [PATCH] extra/netcat: new aport

---
 extra/netcat/APKBUILD |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)
 create mode 100644 extra/netcat/APKBUILD

diff --git a/extra/netcat/APKBUILD b/extra/netcat/APKBUILD
new file mode 100644
index 0000000..5d54512
--- /dev/null
+++ b/extra/netcat/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Francesco Colista <[email-masked]>
+# Maintainer: Francesco Colista <[email-masked]>
+pkgname=netcat
+pkgver=0.7.1
+pkgrel=0
+pkgdesc="A Swiss-army knife for TCP/IP"
+url="http://netcat.sourceforge.net"
+license="GPL"
+depends="uclibc"
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="088def25efe04dcdd1f8369d8926ab34  netcat-0.7.1.tar.gz"
-- 
1.6.2.5

---

From: Natanael Copa <[email-masked]>
Date: Fri, 12 Jun 2009 11:11:09 +0200

> :: Francesco Colista ::

just curious, what do you miss in the busybox netcat?

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Michael Mason <[email-masked]>
Date: Fri, 12 Jun 2009 22:21:44 +0000

> Plese review.

Applied patch.
git://git.alpinelinux.org/aports-mmaso
Thanks

> :: Francesco Colista ::
> <0001-extra-netcat-new-aport.patch>

---